---
title: "Remove calendar item link"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › execution

`DELETE /v2/execution/cycles/{cycleId}/calendar/links/{linkId}`

## Path parameters

- `cycleId` (`execution-remove-calendar-item-link.path.cycleId`; string, required)
  - format `uuid`
- `linkId` (`execution-remove-calendar-item-link.path.linkId`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request DELETE \
  --url 'https://api.sureshake.com/v2/execution/cycles/<cycleId>/calendar/links/<linkId>'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/execution/cycles/<cycleId>/calendar/links/<linkId>';
const options = {method: 'DELETE'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/execution/cycles/<cycleId>/calendar/links/<linkId>"

response = requests.delete(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
    "cycleId": "811bdbf8-a42f-4f8c-b62e-39c77332ffe1",
    "sourceType": "milestone",
    "sourceId": "797f5a94-3689-4ac8-82fd-d749511ea2b2",
    "targetType": "initiative",
    "resolution": "canonical",
    "targetRef": "string",
    "label": "string",
    "targetUrl": "http://example.com",
    "active": true,
    "addedBy": "string",
    "addedAt": "2019-08-24T14:15:22Z",
    "removedBy": "string",
    "removedAt": "2019-08-24T14:15:22Z"
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`execution-remove-calendar-item-link.response.200.data`; object, required)
  - `id` (`execution-remove-calendar-item-link.response.200.data.id`; string, required)
    - format `uuid`
  - `entityId` (`execution-remove-calendar-item-link.response.200.data.entityId`; string, required)
    - format `uuid`
  - `cycleId` (`execution-remove-calendar-item-link.response.200.data.cycleId`; string, required)
    - format `uuid`
  - `sourceType` (`execution-remove-calendar-item-link.response.200.data.sourceType`; string, required)
    - one of `"milestone"`, `"commitment"`
  - `sourceId` (`execution-remove-calendar-item-link.response.200.data.sourceId`; string, required)
    - format `uuid`
  - `targetType` (`execution-remove-calendar-item-link.response.200.data.targetType`; string, required)
    - one of `"initiative"`, `"report"`, `"artifact"`, `"external_object"`, `"meeting"`
  - `resolution` (`execution-remove-calendar-item-link.response.200.data.resolution`; string, required)
    - one of `"canonical"`, `"reference_only"`
  - `targetRef` (`execution-remove-calendar-item-link.response.200.data.targetRef`; string, required)
    - minLength 1; maxLength 500
  - `label` (`execution-remove-calendar-item-link.response.200.data.label`; string, required)
    - minLength 1; maxLength 500
  - `targetUrl` (`execution-remove-calendar-item-link.response.200.data.targetUrl`; string, required, nullable)
    - format `uri`
  - `active` (`execution-remove-calendar-item-link.response.200.data.active`; boolean, required)
  - `addedBy` (`execution-remove-calendar-item-link.response.200.data.addedBy`; string, required)
    - minLength 1
  - `addedAt` (`execution-remove-calendar-item-link.response.200.data.addedAt`; string, required)
    - format `date-time`
  - `removedBy` (`execution-remove-calendar-item-link.response.200.data.removedBy`; string, required, nullable)
    - minLength 1
  - `removedAt` (`execution-remove-calendar-item-link.response.200.data.removedAt`; string, required, nullable)
    - format `date-time`
- `meta` (`execution-remove-calendar-item-link.response.200.meta`; object, optional)
  - `timestamp` (`execution-remove-calendar-item-link.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-remove-calendar-item-link.response.400.error`; object, required)
  - `code` (`execution-remove-calendar-item-link.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-remove-calendar-item-link.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`execution-remove-calendar-item-link.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-remove-calendar-item-link.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-remove-calendar-item-link.response.401.error`; object, required)
  - `code` (`execution-remove-calendar-item-link.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-remove-calendar-item-link.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`execution-remove-calendar-item-link.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-remove-calendar-item-link.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-remove-calendar-item-link.response.403.error`; object, required)
  - `code` (`execution-remove-calendar-item-link.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-remove-calendar-item-link.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`execution-remove-calendar-item-link.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-remove-calendar-item-link.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-remove-calendar-item-link.response.404.error`; object, required)
  - `code` (`execution-remove-calendar-item-link.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-remove-calendar-item-link.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`execution-remove-calendar-item-link.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-remove-calendar-item-link.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-remove-calendar-item-link.response.409.error`; object, required)
  - `code` (`execution-remove-calendar-item-link.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-remove-calendar-item-link.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`execution-remove-calendar-item-link.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-remove-calendar-item-link.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-remove-calendar-item-link.response.422.error`; object, required)
  - `code` (`execution-remove-calendar-item-link.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-remove-calendar-item-link.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`execution-remove-calendar-item-link.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-remove-calendar-item-link.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-remove-calendar-item-link.response.429.error`; object, required)
  - `code` (`execution-remove-calendar-item-link.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-remove-calendar-item-link.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`execution-remove-calendar-item-link.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-remove-calendar-item-link.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-remove-calendar-item-link.response.500.error`; object, required)
  - `code` (`execution-remove-calendar-item-link.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-remove-calendar-item-link.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`execution-remove-calendar-item-link.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-remove-calendar-item-link.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 502

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-remove-calendar-item-link.response.502.error`; object, required)
  - `code` (`execution-remove-calendar-item-link.response.502.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-remove-calendar-item-link.response.502.error.message`; string, required) — Human-readable error message
  - `details` (`execution-remove-calendar-item-link.response.502.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-remove-calendar-item-link.response.502.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`execution-remove-calendar-item-link.response.503.error`; object, required)
  - `code` (`execution-remove-calendar-item-link.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`execution-remove-calendar-item-link.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`execution-remove-calendar-item-link.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`execution-remove-calendar-item-link.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/execution-remove-calendar-item-link/index.md
